Geneos ["Geneos"]
["Geneos > Netprobe"]["Technical Reference"]

Plug-ins that require root access

Overview

In general, the Netprobe should be run as a regular user on your platform. However, there are plug-ins in Geneos that require the Netprobe to run with root permissions on Unix or as local administrator on Windows to run properly.

Plug-ins

This section lists the plug-ins that require root access:

Plug-in Details
Network

Only requires root access if the Linux kernel version is below 2.6.33, and the Linux Netprobe version is prior to GA3.1.0-150223.

For more information, see Network in Network.

Hardware

The vendor metric added in Netprobe GA4.5 requires root permission. Otherwise, it displays as "NA".

This metric is only available for Linux, but not other Unix platforms. For more information, see Hardware in Hardware.

Trapmon

Only requires root access if the sampler uses the default SNMP port.

For more information, see SNMP Trapmon.

X Broadcast

Does not require root access if the Linux kernel version is 2.6.24 and higher, and the CAP_NET_RAW and CAP_NET_ADMIN of the Netprobe is enabled.

For more information, see Permissions in X Broadcast.

X Mcast

Does not require root access if the Linux kernel version is 2.6.24 and higher, and the CAP_NET_RAW and CAP_NET_ADMIN of the Netprobe is enabled.

For more information, see X Mcast in X Mcast.

X Ping

Does not require root access if the Linux kernel version is 2.6.24 and higher, and the CAP_NET_RAW and CAP_NET_ADMIN of the Netprobe is enabled.

For more information, see Permissions in X Ping.

X Route

Does not require root access if the Linux kernel version is 2.6.24 and higher, and the CAP_NET_RAW and CAP_NET_ADMIN of the Netprobe is enabled.

For more information, see Permissions in X Route.

X Services

Does not require root access if the Linux kernel version is 2.6.24 and higher, and the CAP_NET_RAW and CAP_NET_ADMIN of the Netprobe is enabled.

For more information, see X Services in X Services

X Top

Does not require root access if the Linux kernel version is 2.6.24 and higher, and the CAP_NET_RAW and CAP_NET_ADMIN of the Netprobe is enabled.

For more information, see Permissions in X Top.

X Traffic

Does not require root access if the Linux kernel version is 2.6.24 and higher, and the CAP_NET_RAW and CAP_NET_ADMIN of the Netprobe is enabled.

For more information, see Permissions in X Traffic

SU

Requires root access due to the nature of the plug-in.

For more information, see SU.

Veritas Cluster Server

Only requires root access if the commands lltconfig and gabconfig are required.

For more information, see Handling Authentication in Veritas Cluster Server.